Package org.eclipse.m2m.atl.adt.ui.preferences

# Class ModifyDialogTabPage.StringPreference

java.lang.Object
java.util.Observable
org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.Preference
org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.StringPreference

Enclosing class:
  `ModifyDialogTabPage`

protected final class ModifyDialogTabPage.StringPreference extends ModifyDialogTabPage.Preference
Wrapper around a text field which requests a string input.

Since:
  3.6

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`ModifyDialogTabPage.StringPreference.Validator`
Validates the input.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`fOldSelected`
`protected String`
`fSelected`

## Constructor Summary

Constructors
Constructor
Description
`StringPreference(org.eclipse.swt.widgets.Composite composite, int numColumns, Map<String,String> preferences, String key, String text, org.eclipse.jface.dialogs.IInputValidator inputValidator)`
Creates a new `StringPreference`.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`fieldModified()`
`protected void`
`focusGained()`
`protected void`
`focusLost()`
`org.eclipse.swt.widgets.Control`
`getControl()`
Returns the main control of a preference, which is mainly used to manage the focus.
`protected void`
`updateWidget()`
To be implemented in subclasses.

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.Preference

`getEnabled, getKey, getPreferences, setEnabled, setKey`

### Methods inherited from class java.util.Observable

`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fSelected

protected String fSelected

### fOldSelected

protected String fOldSelected

## Constructor Details

### StringPreference

public StringPreference(org.eclipse.swt.widgets.Composite composite, int numColumns, Map<String,String> preferences, String key, String text, org.eclipse.jface.dialogs.IInputValidator inputValidator)
Creates a new `StringPreference`.

Parameters:
  `composite` - the composite on which the SWT widgets are added.
  `numColumns` - the number of columns in the composite's `GridLayout`
  `preferences` - the map to store the values.
  `key` - the key to store the values.
  `text` - the label text for this Preference.
  `inputValidator` - the input validator or `null` if none

## Method Details

### focusGained

protected void focusGained()

### focusLost

protected void focusLost()

### fieldModified

protected void fieldModified()

### updateWidget

protected void updateWidget()
Description copied from class: `ModifyDialogTabPage.Preference`
To be implemented in subclasses. Update the SWT widgets when the state of this object has changed (enabled, key, ...).

Specified by:
  `updateWidget` in class `ModifyDialogTabPage.Preference`

### getControl

public org.eclipse.swt.widgets.Control getControl()
Description copied from class: `ModifyDialogTabPage.Preference`
Returns the main control of a preference, which is mainly used to manage the focus. This may be `null` if the preference doesn't have a control which is able to have the focus.

Specified by:
  `getControl` in class `ModifyDialogTabPage.Preference`
Returns:
  The main control